# Key Events

## crTokens

| Event                                                                                                                | Description                                |
| -------------------------------------------------------------------------------------------------------------------- | ------------------------------------------ |
| Mint(address minter, uint mintAmount, uint mintTokens)                                                               | Emitted upon a successful Mint             |
| Redeem(address redeemer, uint redeemAmount, uint redeemTokens)                                                       | Emitted upon a successful Redeem           |
| Borrow(address borrower, uint borrowAmount, uint accountBorrows, uint totalBorrows)                                  | Emitted upon a successful Borrow           |
| RepayBorrow(address payer, address borrower, uint repayAmount, uint accountBorrows, uint totalBorrows)               | Emitted upon a successful Repay Borrow     |
| LiquidateBorrow(address liquidator, address borrower, uint repayAmount, address crTokenCollateral, uint seizeTokens) | Emitted upon a successful Liquidate Borrow |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cream.finance/developer/key-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
